Summary:       Network traffic recorder
Name:          tcpflow
Version:       1.4.4
Release:       9%{?dist}
License:       GPL+
Group:         Applications/Internet
URL:           https://github.com/simsong/tcpflow
Source0:       http://www.digitalcorpora.org/downloads/tcpflow/tcpflow-%{version}.tar.gz
BuildRequires: boost-devel
BuildRequires: bzip2-devel
BuildRequires: cairo-devel
BuildRequires: libpcap-devel
BuildRequires: openssl-devel
%description
tcpflow is a program that captures data transmitted as part of TCP
connections (flows), and stores the data in a way that is convenient
for protocol analysis or debugging. A program like 'tcpdump' shows a
summary of packets seen on the wire, but usually doesn't store the
data that's actually being transmitted. In contrast, tcpflow
reconstructs the actual data streams and stores each flow in a
separate file for later analysis.

%prep
%setup -q

%build
export CPPFLAGS="%{optflags}"
export LDFLAGS="%{__global_ldflags}"
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} INSTALL='install -p' install

%check
#make check

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/tcpflow
%{_mandir}/man1/tcpflow.1*

%changelog
* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.4-9
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 1.4.4-8
- rebuild for Boost 1.58

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.4.4-6
- Rebuilt for GCC 5 C++11 ABI change

* Mon Jan 26 2015 Petr Machata <pmachata@redhat.com> - 1.4.4-5
- Rebuild for boost 1.57.0

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 1.4.4-2
- Rebuild for boost 1.55.0

* Sat Jan 11 2014 Terje Rosten <terje.rosten@ntnu.no> - 1.4.4-1
- 1.4.4

* Tue Nov 05 2013 Terje Rosten <terje.rosten@ntnu.no> - 1.4.0-2
- Add patches to build on arm

* Mon Oct 21 2013 Terje Rosten <terje.rosten@ntnu.no> - 1.4.0-1
- 1.4.0

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Dec 02 2012 Terje Rosten <terje.rosten@ntnu.no> - 1.3.0-1
- 1.3.0

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Apr 11 2012 Terje Rosten <terje.rosten@ntnu.no> - 1.2.4-1
- 1.2.4
- New home

* Sat Mar 31 2012 Terje Rosten <terje.rosten@ntnu.no> - 1.2.3-1
- 1.2.3

* Sun Mar 25 2012 Terje Rosten <terje.rosten@ntnu.no> - 1.2.2-1
- 1.2.2

* Sun Mar 25 2012 Terje Rosten <terje.rosten@ntnu.no> - 1.2.1-1
- 1.2.1

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-3
- Rebuilt for c++ ABI breakage

* Thu Feb 16 2012 Dan Horák <dan[at]danny.cz> - 1.1.0-2
- fix build on arches without cpuid instruction

* Mon Jan 30 2012 Terje Rosten <terje.rosten@ntnu.no> - 1.1.0-1
- 1.1.0

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Nov 24 2011 Terje Rosten <terje.rosten@ntnu.no> - 1.0.4-1
- Fix issue with expressions

* Fri Oct 21 2011 Terje Rosten <terje.rosten@ntnu.no> - 1.0.1-1
- New major version
- Project has moved to new site and maintainer

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Feb 14 2010 Terje Rosten <terje.rosten@ntnu.no> - 0.21-8
- add patch from bz #556683

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-7
- rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-6
- rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Terje Rosten <terje.rosten@ntnu.no> - 0.21-5
- fix source url

* Fri May  2 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.21-4
- fix color patch (bz #444833)

* Sat Feb  9 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.21-3
- rebuild

* Tue Nov 27 2007 Terje Rosten <terje.rosten@ntnu.no> - 0.21-2
- fix license

* Tue Nov 27 2007 Terje Rosten <terje.rosten@ntnu.no> - 0.21-1
- initial package

